org.apache.olingo.server.api.serializer

## Class EntityCollectionSerializerOptions

- java.lang.Object
- - org.apache.olingo.server.api.serializer.EntityCollectionSerializerOptions

-     public class EntityCollectionSerializerOptions
      extends Object

  Options for the OData serializer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntityCollectionSerializerOptions.Builder` Builder of OData serializer options.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityCollectionSerializerOptions()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContextURL` | `getContextURL()` Gets the `ContextURL`.
    `CountOption` | `getCount()` Gets the $count system query option.
    `ExpandOption` | `getExpand()` Gets the $expand system query option.
    `String` | `getId()` Gets the id of the entity collection
    `ODataContentWriteErrorCallback` | `getODataContentWriteErrorCallback()` Gets the callback which is used in case of an exception during write of the content (in case the content will be written/streamed in the future)
    `SelectOption` | `getSelect()` Gets the $select system query option.
    `boolean` | `getWriteOnlyReferences()` only writes the references of the entities
    `boolean` | `isFullRepresentation()` Inline entries will not have @delta if representation is full
    `static EntityCollectionSerializerOptions.Builder` | `with()` Initializes the options builder.
    `String` | `xml10InvalidCharReplacement()` Gets the replacement string for unicode characters, that is not allowed in XML 1.0

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityCollectionSerializerOptions

          public EntityCollectionSerializerOptions()

  - ### Method Detail

    - #### getContextURL

          public ContextURL getContextURL()

      Gets the `ContextURL`.

    - #### getCount

          public CountOption getCount()

      Gets the $count system query option.

    - #### getExpand

          public ExpandOption getExpand()

      Gets the $expand system query option.

    - #### getSelect

          public SelectOption getSelect()

      Gets the $select system query option.

    - #### getWriteOnlyReferences

          public boolean getWriteOnlyReferences()

      only writes the references of the entities

    - #### getId

          public String getId()

      Gets the id of the entity collection

    - #### getODataContentWriteErrorCallback

          public ODataContentWriteErrorCallback getODataContentWriteErrorCallback()

      Gets the callback which is used in case of an exception during write of the content (in case the content will be written/streamed in the future)
      Returns:
        callback which is used in case of an exception during write of the content

    - #### xml10InvalidCharReplacement

          public String xml10InvalidCharReplacement()

      Gets the replacement string for unicode characters, that is not allowed in XML 1.0

    - #### isFullRepresentation

          public boolean isFullRepresentation()

      Inline entries will not have @delta if representation is full

    - #### with

          public static EntityCollectionSerializerOptions.Builder with()

      Initializes the options builder.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.